-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "ElkBuffBars", "ElkBuffBars")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the anchors, if they're not already shown
    for k, v in pairs(ElkBuffBars.OnMenuRequest.args.groupsettings.args) do
        if not v.args.anchorshown.get() then
            v.args.anchorshown.set(true)
        end
    end

end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- hide the anchors, if they're not already hidden
    for k, v in pairs(ElkBuffBars.OnMenuRequest.args.groupsettings.args) do
        if v.args.anchorshown.get() then
            v.args.anchorshown.set(false)
        end
    end

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()