-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "PitBull", "PitBull")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- swap to raid configuration; will swap to party if in party
    PitBull:ChangeConfigMode("raid")
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- get out of configuration mode
    PitBull:ChangeConfigMode(nil)
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()