-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "Proximo", "Proximo")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the test frames
    Proximo.options.args.test.set(true)

end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- hide the test frames
    Proximo.options.args.test.set(false)

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()