-- constants
local BAR_DURATION = 1

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase, "AceEvent-2.0")

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "InFlight", "InFlight")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show bar now
    self:ShowBar()

    --schedule repeating bars
    self:ScheduleRepeatingEvent("InFlightShakedownBar", self.ShowBar, BAR_DURATION, self)

end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)
    
    -- stop the repeating event
    self:CancelScheduledEvent("InFlightShakedownBar")

end

function Addon.prototype:ShowBar()

    -- show a dummy bar
    InFlight:StartMiscFlight("InFlight", "InFlight")

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()