-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
   Addon.super.prototype.init(self, "m_buffbar", "Morganti's BuffBars")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the three buff frames
    m_doptions.moveable = 1
    m_boptions.moveable = 1
    m_woptions.moveable = 1

end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- hide the three buff frames
    m_doptions.moveable = 0
    m_boptions.moveable = 0
    m_woptions.moveable = 0    

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()