-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- members
Addon.prototype.wasLocked = false

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "XLoot", "XLoot")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show and unlock the loot frame
    self.wasLocked = XLoot.opts.args.lock.get()
    XLoot.opts.args.lock.set(false)
    XLootFrame:Show()
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- hide and lock the loot frame
    XLoot.opts.args.lock.set(self.wasLocked)
    XLootFrame:Hide()
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()