-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- members
Addon.prototype.wasVisible = false
Addon.prototype.wasLocked = false

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "nQuestLog", "nQuestLog")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- unlock the minion
    Addon.prototype.wasLocked = nQuestLog.db.profile["trackerLocked"]
    nQuestLog.db.profile["trackerLocked"] = false
    
    -- show the minion
    self.wasVisible = nQuestLogFrame:IsVisible()
    if not self.wasVisible then
        nQuestLog:OnClick()
    end
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- lock the minion
    nQuestLog.db.profile["trackerLocked"] = Addon.prototype.wasLocked
    
    -- hide the minion
    if not self.wasVisible then
        nQuestLog:OnClick()
    end
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()